/* Class WeightValueOutput */

/*
    NUT nutrition software 
    Copyright (C) 1996-2011 by Jim Jozwiak.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "WeightValueOutput.h"
#include "Nut.h"
#include <stdio.h>

WeightValueOutput::WeightValueOutput (int x, int y, int w, int h, Fl_Color widgetcolor) : Fl_Value_Output (x, y, w, h)
{
this->tooltip("Click and drag left and right to adjust,\nmiddle button 10x, right button 100x");
this->textsize(FontSize);
this->color(fl_lighter(widgetcolor));
this->box(FL_SHADOW_BOX);
this->labelsize(FontSize);
this->labelcolor(FL_RED);
this->align(FL_ALIGN_BOTTOM);
this->label("Weight Measurement");
this->step(0.1);
this->bounds(0, 999.9);
}

int WeightValueOutput::format(char *buffer)
{
#if defined FL_MINOR_VERSION && FL_MINOR_VERSION == 1
if (FontSize == 12 || FontSize == 13) return snprintf(buffer, 128, "%24.1f", value());
else return snprintf(buffer, 128, "%30.1f", value());
#else
return snprintf(buffer, 128, "%28.1f", value());
#endif
}
